Associate a software license with a specific department. This allows the department to use the specified software in budget forecasting.
POST
/data/departments/{department_id}/software-licenses
curl
curl -X POST "http://api.example.com/data/departments/a24a6ea4-ce75-4665-a070-57453082c25/software-licenses" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"software_id": "b35b7fb5-df86-5776-b181-68564193d36"
}'
import requests
url = "http://api.example.com/data/departments/a24a6ea4-ce75-4665-a070-57453082c25/software-licenses"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"software_id": "b35b7fb5-df86-5776-b181-68564193d36"
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/data/departments/a24a6ea4-ce75-4665-a070-57453082c25/software-licenses' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"software_id":"b35b7fb5-df86-5776-b181-68564193d36"}'
Request examples
{
"software_id": "b35b7fb5-df86-5776-b181-68564193d36"
}
Response examples (201)
{
"id": "c46c8gc6-eg97-6887-c292-79675204e47",
"department_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"software_id": "b35b7fb5-df86-5776-b181-68564193d36",
"created_at": "2023-01-01T12:00:00Z"
}